gi-gio-2.0.35: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Objects.ZlibDecompressor

Contents

- Exported types
- Methods
  - getFileInfo
  - new
- Properties
  - fileInfo
  - format

Description

`GZlibDecompressor` is an implementation of `Converter` that decompresses data compressed with zlib.

Synopsis

- newtype ZlibDecompressor = ZlibDecompressor (ManagedPtr ZlibDecompressor)
- class (GObject o, IsDescendantOf ZlibDecompressor o) => IsZlibDecompressor o
- toZlibDecompressor :: (MonadIO m, IsZlibDecompressor o) => o -> m ZlibDecompressor
- zlibDecompressorGetFileInfo :: (HasCallStack, MonadIO m, IsZlibDecompressor a) => a -> m (Maybe FileInfo)
- zlibDecompressorNew :: (HasCallStack, MonadIO m) => ZlibCompressorFormat -> m ZlibDecompressor
- getZlibDecompressorFileInfo :: (MonadIO m, IsZlibDecompressor o) => o -> m (Maybe FileInfo)
- constructZlibDecompressorFormat :: (IsZlibDecompressor o, MonadIO m) => ZlibCompressorFormat -> m (GValueConstruct o)
- getZlibDecompressorFormat :: (MonadIO m, IsZlibDecompressor o) => o -> m ZlibCompressorFormat

# Exported types

newtype ZlibDecompressor Source #

Memory-managed wrapper type.

Constructors

ZlibDecompressor (ManagedPtr ZlibDecompressor) |

#### Instances

Instances details

Eq ZlibDecompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibDecompressor Methods (==) :: ZlibDecompressor -> ZlibDecompressor -> Bool Source # (/=) :: ZlibDecompressor -> ZlibDecompressor -> Bool Source #
GObject ZlibDecompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibDecompressor
ManagedPtrNewtype ZlibDecompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibDecompressor Methods toManagedPtr :: ZlibDecompressor -> ManagedPtr ZlibDecompressor Source #
TypedObject ZlibDecompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibDecompressor Methods glibType :: IO GType Source #
HasParentTypes ZlibDecompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibDecompressor
IsGValue (Maybe ZlibDecompressor) Source # | Convert `ZlibDecompressor` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.ZlibDecompressor Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ZlibDecompressor -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ZlibDecompressor) Source #
type ParentTypes ZlibDecompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibDecompressor type ParentTypes ZlibDecompressor = '[Object, Converter]

class (GObject o, IsDescendantOf ZlibDecompressor o) => IsZlibDecompressor o Source #

Type class for types which can be safely cast to `ZlibDecompressor`, for instance with `toZlibDecompressor`.

#### Instances

Instances details

(GObject o, IsDescendantOf ZlibDecompressor o) => IsZlibDecompressor o Source # |
Instance details Defined in GI.Gio.Objects.ZlibDecompressor

toZlibDecompressor :: (MonadIO m, IsZlibDecompressor o) => o -> m ZlibDecompressor Source #

Cast to `ZlibDecompressor`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, convert, convertBytes, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, reset, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getFileInfo, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## getFileInfo

zlibDecompressorGetFileInfo Source #

Arguments

:: (HasCallStack, MonadIO m, IsZlibDecompressor a) |
=> a | `decompressor`: a `ZlibDecompressor`
-> m (Maybe FileInfo) | Returns: a `FileInfo`, or `Nothing`

Retrieves the `FileInfo` constructed from the GZIP header data of compressed data processed by `compressor`, or `Nothing` if `decompressor`'s ZlibDecompressor:format property is not `ZlibCompressorFormatGzip`, or the header data was not fully processed yet, or it not present in the data stream at all.

Since: 2.26

## new

zlibDecompressorNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ZlibCompressorFormat | `format`: The format to use for the compressed data
-> m ZlibDecompressor | Returns: a new `ZlibDecompressor`

Creates a new `ZlibDecompressor`.

Since: 2.24

# Properties

## fileInfo

A `FileInfo` containing the information found in the GZIP header of the data stream processed, or `Nothing` if the header was not yet fully processed, is not present at all, or the compressor's ZlibDecompressor:format property is not `ZlibCompressorFormatGzip`.

Since: 2.26

getZlibDecompressorFileInfo :: (MonadIO m, IsZlibDecompressor o) => o -> m (Maybe FileInfo) Source #

Get the value of the “`file-info`” property. When overloading is enabled, this is equivalent to

    get zlibDecompressor #fileInfo

## format

The format of the compressed data.

Since: 2.24

constructZlibDecompressorFormat :: (IsZlibDecompressor o, MonadIO m) => ZlibCompressorFormat -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`format`” property. This is rarely needed directly, but it is used by `new`.

getZlibDecompressorFormat :: (MonadIO m, IsZlibDecompressor o) => o -> m ZlibCompressorFormat Source #

Get the value of the “`format`” property. When overloading is enabled, this is equivalent to

    get zlibDecompressor #format